'use strict';

Object.defineProperty(exports, "__esModule", {
	value: true
});
exports.handleImport = handleImport;

var _reUrlFunctionWithArg = require('../../../constants/reUrlFunctionWithArg');

var _handleMediaQueryParams = require('../handleMediaQueryParams');

var reCssFileString = /['"]?.+\.css['"]?/g;

function handleImport(atRule, report, options) {
	var cleanedParams = atRule.params;

	if (_reUrlFunctionWithArg.reUrlFunctionWithArg.test(cleanedParams)) {
		cleanedParams = cleanedParams.replace(_reUrlFunctionWithArg.reUrlFunctionWithArg, '');
	}

	if (reCssFileString.test(cleanedParams)) {
		cleanedParams = cleanedParams.replace(reCssFileString, '');
	}

	if (cleanedParams.trim().length !== 0) {
		(0, _handleMediaQueryParams.handleMediaQueryParams)(cleanedParams, report, options);
	}
}